GNU Radio's TEST Package

Classes | Macros | Functions
rfspace_source_c.h File Reference
`#include <gnuradio/thread/thread.h>`
`#include <gnuradio/block.h>`
`#include <gnuradio/sync_block.h>`
`#include <boost/circular_buffer.hpp>`
`#include <mutex>`
`#include <condition_variable>`
`#include "osmosdr/ranges.h"`
`#include "source_iface.h"`

Go to the source code of this file.

## Classes
class | rfspace_source_c

## Macros
#define | SOCKET int

## Functions
rfspace_source_c_sptr | make_rfspace_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of rfspace_source_c. More...

## Macro Definition Documentation

## ◆ SOCKET

#define SOCKET int

## Function Documentation

## ◆ make_rfspace_source_c()

rfspace_source_c_sptr make_rfspace_source_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of rfspace_source_c.

To avoid accidental use of raw pointers, rfspace_source_c's constructor is private. rfspace_make_source_c is the public interface for creating new instances.